import { r as p, s as m, y as f, e as d, g as n } from "./base-0db4ef3a.js";
import { e as u } from "./property-ca27685b.js";
import { u as v } from "./useBemm-077765ce.js";
const g = `.sil-stack{gap:1em;padding:1em;display:flex}.sil-stack--horizontal{flex-direction:row}.sil-stack--vertical{flex-direction:column}
`;
var _ = Object.defineProperty, x = Object.getOwnPropertyDescriptor, a = (r, s, i, t) => {
  for (var e = t > 1 ? void 0 : t ? x(s, i) : s, c = r.length - 1, l; c >= 0; c--)
    (l = r[c]) && (e = (t ? l(s, i, e) : l(e)) || e);
  return t && e && _(s, i, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.direction = "vertical";
  }
  render() {
    const { classes: r } = v(n("stack"), { return: "string" });
    return f`
      <div class="${r({}, { modifier: this.direction })}">
        <slot></slot>
      </div>
    `;
  }
};
o.styles = p(g);
a([
  u()
], o.prototype, "direction", 2);
o = a([
  d(n("stack"))
], o);
export {
  o as FormStack
};
